watch_stylesheet: true
watch_config: true
debug: false
update_check: true # Enable automatic update check.
komorebi:
  start_command: "komorebic start --whkd && komorebic start --whkd"
  stop_command: "komorebic stop --whkd"
  reload_command: "komorebic stop --whkd && komorebic start --whkd"
bars:
  primary-bar:
    enabled: true
    screens: ["primary"]
    class_name: "yasb-bar"
    alignment:
      position: "top"
      center: false
    animation:
      enabled: true
      duration: 1000
    blur_effect:
      enabled: true
      acrylic: true
      dark_mode: true
      round_corners: true
      round_corners_type: "normal"
      border_color: "#8dbcff"
    window_flags:
      always_on_top: false
      windows_app_bar: true
    dimensions:
      width: "100%"
      height: 26
    padding:
      top: 3
      left: 3
      bottom: 0
      right: 3
    widgets:
      left: [
        "komorebi_workspaces",
        "komorebi_active_layout",      
        "active_window"
      ]
      center: [
        "clock"
      ]
      right: [
        "cpu",
        "memory",
        ]
widgets:
  active_window:
    type: "yasb.active_window.ActiveWindowWidget"
    options:
      label: "{win[process][name]}"
      label_alt: "{win[title]}"
      label_no_window: ""
      label_icon: true
      label_icon_size: 14
      max_length: 46
      max_length_ellipsis: "..."
      monitor_exclusive: true
  clock:
    type: "yasb.clock.ClockWidget"
    options:
      label: "{%I:%M:%S}"
      label_alt: "{%I:%M:%S}"
      timezones: []
      callbacks:
        on_left: ""

  power_menu:
    type: "yasb.power_menu.PowerMenuWidget"
    options:
      label: "\uf011"
      uptime: True
      blur: False
      blur_background: True
      animation_duration: 200
      button_row: 5
      buttons:
        shutdown: ["\uf011", "Rage Quit"]
        restart: ["\uead2", "Oops, Reboot"]
        signout: ["\udb80\udf43", "Dip Out"]
        hibernate: ["\uf28e", "Bear Mode"]
        sleep: ["\u23fe", "Nap Time"]
        cancel: ["", "Nah, Im Good "]

  cpu:
      type: "yasb.cpu.CpuWidget"
      options:
        label: "{info[percent][total]:.0f}%"
        progress_bar:
          enabled: true
          position: "left"
          size: 16
          thickness: 3
          color: "#89dceb"
          background_color: "#1e1e2e"
          animation: true 
        animation:
          enabled: true
          type: FadeInOut
          duration: 200
        update_interval: 2000
        callbacks:
          on_right: "do_nothing"
          on_left: "do_nothing"
  memory:
    type: "yasb.memory.MemoryWidget"
    options:
      label: "{virtual_mem_percent}%"
      update_interval: 5000
      progress_bar:
        enabled: true
        size: 16
        thickness: 3
        position: left
        color: "#cba6f7"
        background_color: "#1e1e2e"
        animation: True
      animation:
        enabled: true
        type: FadeInOut
        duration: 200 
      callbacks:
        on_left: "do_nothing"
      memory_thresholds:
        low: 25
        medium: 50
        high: 90
  komorebi_workspaces:
    type: "komorebi.workspaces.WorkspaceWidget"
    options:
      label_offline: "\u23fc Offline"
      label_workspace_btn: "\u000d"
      label_workspace_active_btn: "\u000d"
      label_workspace_populated_btn: "\u000d"
      label_default_name: "{index}"
      label_zero_index: false
      hide_empty_workspaces: false
      hide_if_offline: true
      animation: true
  komorebi_active_layout:
    type: "komorebi.active_layout.ActiveLayoutWidget"
    options:
      hide_if_offline: false
      label: "{icon}"
      layouts:
        [
          "bsp",
          "columns",
          "rows",
          "grid",
          "vertical_stack",
          "horizontal_stack",
          "ultrawide_vertical_stack",
          "right_main_vertical_stack",
        ]
      layout_icons:
        bsp: "BSP"
        columns: "COLS"
        rows: "ROWS"
        grid: "GRID"
        vertical_stack: "V-STACK"
        horizontal_stack: "H-STACK"
        ultrawide_vertical_stack: "W-STACK"
        right_main_vertical_stack: "RMV-STACK"
        monocle: "MONOCLE"
        maximized: "MAX"
        floating: "FLOATING"
        paused: "PAUSED"
      callbacks:
        on_left: "next_layout"
        on_middle: "toggle_monocle"
        on_right: "prev_layout"